# coding=utf-8

from django.conf.urls import url, include
from rest_framework.routers import SimpleRouter

from .views import *

urlpatterns = [
    url(r'^drive_reserve/$', VehicleDriveReserveViewSet.as_view()),
    url(r'^inquiry/$', VehicleInquiryViewSet.as_view()),
    url(r'^usedvehicle_inquiry/$', UsedVehicleInquiryViewSet.as_view()),
    url(r'^usedvehicle_estimate/$', UsedVehicleEstimateViewSet.as_view()),
    url(r'^insur_consultation/$', InsurConsultationViewSet.as_view()),
    url(r'^product_order/$', ProductOrderViewSet.as_view()),
    url(r'^product_order/add/$', ProductOrderSaveViewSet.as_view()),
    url(r'^maint_reserve/$', MaintOrderReserveViewSet.as_view()),
    url(r'^maint_reserve/options/$', MaintReserveOptionsView.as_view()),
    url(r'^usedvehicle/brands/$', UsedVehicleBrandsView.as_view()),
    url(r'^plan_product_order/$', PlanProductOrderView.as_view()),
    url(r'^get_maint_order/$', GetMaintOrder.as_view()),
]

router = SimpleRouter()
router.register(r'address', CustomerAddressViewSet)
router.register(r'vehicle', CustomerVehicleViewSet)
urlpatterns += router.urls